diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7d44e73..f37da6a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -102886,11 +102886,1755 @@ NagMatrixOperationsPackage(): Exports == Implementation where
 )set message auto off
 )clear all
 
---S 1 of 1
+--S 1 of 153
 )show NagOptimisationPackage
+--R 
+--R NagOptimisationPackage  is a package constructor
+--R Abbreviation for NagOptimisationPackage is NAGE04 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for NAGE04 
+--R
+--R------------------------------- Operations --------------------------------
+--R e04dgf : (Integer,DoubleFloat,DoubleFloat,Integer,DoubleFloat,Boolean,DoubleFloat,DoubleFloat,Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Integer,Union(fn: FileName,fp: Asp49(OBJFUN))) -> Result
+--R e04fdf : (Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Integer,Union(fn: FileName,fp: Asp50(LSFUN1))) -> Result
+--R e04gcf : (Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Integer,Union(fn: FileName,fp: Asp19(LSFUN2))) -> Result
+--R e04jaf : (Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Union(fn: FileName,fp: Asp24(FUNCT1))) -> Result
+--R e04mbf : (Integer,Integer,Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Boolean,Integer,Integer,Matrix(DoubleFloat),Integer) -> Result
+--R e04naf : (Integer,Integer,Integer,Integer,Integer,Integer,Integer,Integer,DoubleFloat,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Boolean,Boolean,Boolean,Integer,Integer,Matrix(DoubleFloat),Matrix(Integer),Integer,Union(fn: FileName,fp: Asp20(QPHESS))) -> Result
+--R e04ucf : (Integer,Integer,Integer,Integer,Integer,Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Integer,Boolean,DoubleFloat,Integer,DoubleFloat,DoubleFloat,Boolean,DoubleFloat,DoubleFloat,DoubleFloat,DoubleFloat,Boolean,Integer,Integer,Integer,Integer,Integer,DoubleFloat,DoubleFloat,DoubleFloat,Integer,Integer,Integer,Integer,Integer,Matrix(Integer),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer,Union(fn: FileName,fp: Asp55(CONFUN)),Union(fn: FileName,fp: Asp49(OBJFUN))) -> Result
+--R e04ycf : (Integer,Integer,Integer,DoubleFloat,Matrix(DoubleFloat),Integer,Matrix(DoubleFloat),Integer) -> Result
+--R
 --E 1
 
-)spool
+--S 2 of 153
+digits 20
+--R 
+--R
+--R   (1)  20
+--R                                                        Type: PositiveInteger
+--E 2
+
+--S 3 of 153
+showArrayValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 153
+showScalarValues true
+--R 
+--R
+--R   (3)  true
+--R                                                                Type: Boolean
+--E 4
+
+--S 5 of 153
+n:=2
+--R 
+--R
+--R   (4)  2
+--R                                                        Type: PositiveInteger
+--E 5
+
+--S 6 of 153
+es:=1.0
+--R 
+--R
+--R   (5)  1.0
+--R                                                                  Type: Float
+--E 6
+
+--S 7 of 153
+fu:=0.4373903597E-14
+--R 
+--R
+--R   (6)  0.4373903597 E -14
+--R                                                                  Type: Float
+--E 7
+
+--S 8 of 153
+it:=50
+--R 
+--R
+--R   (7)  50
+--R                                                        Type: PositiveInteger
+--E 8
+
+--S 9 of 153
+lin:=0.9
+--R 
+--R
+--R   (8)  0.9
+--R                                                                  Type: Float
+--E 9
+
+--S 10 of 153
+list:=true
+--R 
+--R
+--R   (9)  true
+--R                                                                Type: Boolean
+--E 10
+
+--S 11 of 153
+ma:=1.0E+20
+--R 
+--R
+--R   (10)  100 0000000000 00000000.0
+--R                                                                  Type: Float
+--E 11
+
+--S 12 of 153
+op:=3.26E-12
+--R 
+--R
+--R   (11)  0.326 E -11
+--R                                                                  Type: Float
+--E 12
+
+--S 13 of 153
+pr:=10
+--R 
+--R
+--R   (12)  10
+--R                                                        Type: PositiveInteger
+--E 13
+
+--S 14 of 153
+sta:=1
+--R 
+--R
+--R   (13)  1
+--R                                                        Type: PositiveInteger
+--E 14
+
+--S 15 of 153
+sto:=2
+--R 
+--R
+--R   (14)  2
+--R                                                        Type: PositiveInteger
+--E 15
+
+--S 16 of 153
+ve:=0
+--R 
+--R
+--R   (15)  0
+--R                                                     Type: NonNegativeInteger
+--E 16
+
+--S 17 of 153
+x:Matrix SF:= [[-1.0 ,1.0 ]]
+--R 
+--R
+--R   (16)  [- 1.  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 17
+
+--S 18 of 153
+ef:Expression Float:=_
+  (exp(X[1])*(4*X[1]^2+2*X[2]^2+4*X[1]*X[2]+2*X[2]+1))::EXPR FLOAT
+--R 
+--R
+--R                                                       X
+--R                2                            2          1
+--R   (17)  (2.0 X   + (4.0 X  + 2.0)X  + 4.0 X   + 1.0)%e
+--R               2          1        2        1
+--R                                                      Type: Expression(Float)
+--E 18
+
+--S 19 of 153
+objfun:ASP49(OBJFUN):= retract ef
+--R 
+--R
+--R   (18)  OBJFUN
+--R                                                          Type: Asp49(OBJFUN)
+--E 19
+
+--S 20 of 153
+-- result:=e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,-1,objfun)
+--E 20
+
+)clear all
+ 
+
+--S 21 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 21
+
+--S 22 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 22
+
+--S 23 of 153
+m:=15
+--R 
+--R
+--R   (3)  15
+--R                                                        Type: PositiveInteger
+--E 23
+
+--S 24 of 153
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 24
+
+--S 25 of 153
+liw:=1
+--R 
+--R
+--R   (5)  1
+--R                                                        Type: PositiveInteger
+--E 25
+
+--S 26 of 153
+lw:=171
+--R 
+--R
+--R   (6)  171
+--R                                                        Type: PositiveInteger
+--E 26
+
+--S 27 of 153
+x:Matrix SF:= [[0.5 ,1.0 ,1.5 ]]
+--R 
+--R
+--R   (7)  [0.5  1.  1.5]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 27
+
+--S 28 of 153
+vef:Vector Expression Float:= vector
+ [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
+  2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
+  3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
+  4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
+  5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
+  6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
+  7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
+  8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
+  9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
+  10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
+  11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
+  12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
+  13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
+  14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
+  15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
+--R 
+--R
+--R   (8)
+--R    (XC  - 0.14)XC  + (15.0 XC  - 2.1)XC  + 1.0
+--R       1          3           1         2
+--R   [-------------------------------------------,
+--R                   XC  + 15.0 XC
+--R                     3          2
+--R    (XC  - 0.18)XC  + (7.0 XC  - 1.26)XC  + 1.0
+--R       1          3          1          2
+--R    -------------------------------------------,
+--R                   XC  + 7.0 XC
+--R                     3         2
+--R
+--R         (XC  - 0.22)XC
+--R            1          3
+--R       + 
+--R         (4.3333333333 333333333 XC  - 0.9533333333 3333333333)XC  + 1.0
+--R                                   1                             2
+--R    /
+--R       XC  + 4.3333333333 333333333 XC
+--R         3                            2
+--R     ,
+--R    (XC  - 0.25)XC  + (3.0 XC  - 0.75)XC  + 1.0
+--R       1          3          1          2
+--R    -------------------------------------------,
+--R                   XC  + 3.0 XC
+--R                     3         2
+--R    (XC  - 0.29)XC  + (2.2 XC  - 0.638)XC  + 1.0
+--R       1          3          1           2
+--R    --------------------------------------------,
+--R                    XC  + 2.2 XC
+--R                      3         2
+--R
+--R         (XC  - 0.32)XC
+--R            1          3
+--R       + 
+--R         (1.6666666666 666666667 XC  - 0.5333333333 3333333333)XC  + 1.0
+--R                                   1                             2
+--R    /
+--R       XC  + 1.6666666666 666666667 XC
+--R         3                            2
+--R     ,
+--R    (XC  - 0.35)XC  + (1.2857142857 142857143 XC  - 0.45)XC  + 1.0
+--R       1          3                             1          2
+--R    --------------------------------------------------------------,
+--R                   XC  + 1.2857142857 142857143 XC
+--R                     3                            2
+--R    (XC  - 0.39)XC  + (XC  - 0.39)XC  + 1.0
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 0.37)XC  + (XC  - 0.37)XC  + 1.2857142857 142857143
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 0.58)XC  + (XC  - 0.58)XC  + 1.6666666666 666666667
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 0.73)XC  + (XC  - 0.73)XC  + 2.2
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 0.96)XC  + (XC  - 0.96)XC  + 3.0
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 1.34)XC  + (XC  - 1.34)XC  + 4.3333333333 333333333
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 2.1)XC  + (XC  - 2.1)XC  + 7.0
+--R       1         3      1         2
+--R    -------------------------------------,
+--R                  XC  + XC
+--R                    3     2
+--R    (XC  - 4.39)XC  + (XC  - 4.39)XC  + 15.0
+--R       1          3      1          2
+--R    ----------------------------------------]
+--R                    XC  + XC
+--R                      3     2
+--R                                              Type: Vector(Expression(Float))
+--E 28
+
+--S 29 of 153
+lsfun1:ASP50(LSFUN1):= retract vef
+--R 
+--R
+--R   (9)  LSFUN1
+--R                                                          Type: Asp50(LSFUN1)
+--E 29
+
+--S 30 of 153
+-- result:=e04fdf(m,n,liw,lw,x,-1,lsfun1)
+--E 30
+
+)clear all
+ 
+
+--S 31 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 31
+
+--S 32 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 32
+
+--S 33 of 153
+m:=15
+--R 
+--R
+--R   (3)  15
+--R                                                        Type: PositiveInteger
+--E 33
+
+--S 34 of 153
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 34
+
+--S 35 of 153
+liw:=1
+--R 
+--R
+--R   (5)  1
+--R                                                        Type: PositiveInteger
+--E 35
+
+--S 36 of 153
+lw:=177
+--R 
+--R
+--R   (6)  177
+--R                                                        Type: PositiveInteger
+--E 36
+
+--S 37 of 153
+x:Matrix SF:= [[0.5 ,1.0 ,1.5 ]]
+--R 
+--R
+--R   (7)  [0.5  1.  1.5]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 37
+
+--S 38 of 153
+vef:Vector Expression Float:=vector
+ [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
+   2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
+   3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
+   4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
+   5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
+   6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
+   7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
+   8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
+   9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
+   10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
+   11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
+   12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
+   13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
+   14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
+   15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
+--R 
+--R
+--R   (8)
+--R    (XC  - 0.14)XC  + (15.0 XC  - 2.1)XC  + 1.0
+--R       1          3           1         2
+--R   [-------------------------------------------,
+--R                   XC  + 15.0 XC
+--R                     3          2
+--R    (XC  - 0.18)XC  + (7.0 XC  - 1.26)XC  + 1.0
+--R       1          3          1          2
+--R    -------------------------------------------,
+--R                   XC  + 7.0 XC
+--R                     3         2
+--R
+--R         (XC  - 0.22)XC
+--R            1          3
+--R       + 
+--R         (4.3333333333 333333333 XC  - 0.9533333333 3333333333)XC  + 1.0
+--R                                   1                             2
+--R    /
+--R       XC  + 4.3333333333 333333333 XC
+--R         3                            2
+--R     ,
+--R    (XC  - 0.25)XC  + (3.0 XC  - 0.75)XC  + 1.0
+--R       1          3          1          2
+--R    -------------------------------------------,
+--R                   XC  + 3.0 XC
+--R                     3         2
+--R    (XC  - 0.29)XC  + (2.2 XC  - 0.638)XC  + 1.0
+--R       1          3          1           2
+--R    --------------------------------------------,
+--R                    XC  + 2.2 XC
+--R                      3         2
+--R
+--R         (XC  - 0.32)XC
+--R            1          3
+--R       + 
+--R         (1.6666666666 666666667 XC  - 0.5333333333 3333333333)XC  + 1.0
+--R                                   1                             2
+--R    /
+--R       XC  + 1.6666666666 666666667 XC
+--R         3                            2
+--R     ,
+--R    (XC  - 0.35)XC  + (1.2857142857 142857143 XC  - 0.45)XC  + 1.0
+--R       1          3                             1          2
+--R    --------------------------------------------------------------,
+--R                   XC  + 1.2857142857 142857143 XC
+--R                     3                            2
+--R    (XC  - 0.39)XC  + (XC  - 0.39)XC  + 1.0
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 0.37)XC  + (XC  - 0.37)XC  + 1.2857142857 142857143
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 0.58)XC  + (XC  - 0.58)XC  + 1.6666666666 666666667
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 0.73)XC  + (XC  - 0.73)XC  + 2.2
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 0.96)XC  + (XC  - 0.96)XC  + 3.0
+--R       1          3      1          2
+--R    ---------------------------------------,
+--R                   XC  + XC
+--R                     3     2
+--R    (XC  - 1.34)XC  + (XC  - 1.34)XC  + 4.3333333333 333333333
+--R       1          3      1          2
+--R    ----------------------------------------------------------,
+--R                             XC  + XC
+--R                               3     2
+--R    (XC  - 2.1)XC  + (XC  - 2.1)XC  + 7.0
+--R       1         3      1         2
+--R    -------------------------------------,
+--R                  XC  + XC
+--R                    3     2
+--R    (XC  - 4.39)XC  + (XC  - 4.39)XC  + 15.0
+--R       1          3      1          2
+--R    ----------------------------------------]
+--R                    XC  + XC
+--R                      3     2
+--R                                              Type: Vector(Expression(Float))
+--E 38
+
+--S 39 of 153
+lsfun2:Asp19(LSFUN2):= retract vef
+--R 
+--R
+--R   (9)  LSFUN2
+--R                                                          Type: Asp19(LSFUN2)
+--E 39
+
+--S 40 of 153
+-- result:=e04gcf(m,n,liw,lw,x,-1,lsfun2)
+--E 40
+
+)clear all
+ 
+
+--S 41 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 41
+
+--S 42 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 42
+
+--S 43 of 153
+n:=4
+--R 
+--R
+--R   (3)  4
+--R                                                        Type: PositiveInteger
+--E 43
+
+--S 44 of 153
+ibound:=0
+--R 
+--R
+--R   (4)  0
+--R                                                     Type: NonNegativeInteger
+--E 44
+
+--S 45 of 153
+liw:=6
+--R 
+--R
+--R   (5)  6
+--R                                                        Type: PositiveInteger
+--E 45
+
+--S 46 of 153
+lw:=54
+--R 
+--R
+--R   (6)  54
+--R                                                        Type: PositiveInteger
+--E 46
+
+--S 47 of 153
+bl:Matrix SF:= [[1 ,-2 ,-1.0e-6 ,1 ]]
+--R 
+--R
+--R   (7)  [1.  - 2.  - 1.0000000000000002E-6  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 47
+
+--S 48 of 153
+bu:Matrix SF:= [[3 ,0 ,1.0e6 ,3 ]]
+--R 
+--R
+--R   (8)  [3.  0.  1000000.  3.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 48
+
+--S 49 of 153
+x:Matrix SF:= [[3 ,-1 ,0 ,1 ]]
+--R 
+--R
+--R   (9)  [3.  - 1.  0.  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 49
+
+--S 50 of 153
+ef:Expression Float:=
+ ((XC[1]+10*XC[2])^2+5*(XC[3]-XC[4])^2+(XC[2]-2*XC[3])^4+_
+   10*(XC[1]-XC[4])^4)::EXPR FLOAT
+--R 
+--R
+--R   (10)
+--R             4              3            2          2
+--R     10.0 XC   - 40.0 XC XC   + (60.0 XC   + 5.0)XC
+--R            4           1  4            1          4
+--R   + 
+--R                           3               4              3
+--R     (- 10.0 XC  - 40.0 XC  )XC  + 16.0 XC   - 32.0 XC XC
+--R               3          1    4          3           2  3
+--R   + 
+--R              2          2          3         4            2
+--R     (24.0 XC   + 5.0)XC   - 8.0 XC  XC  + XC   + 100.0 XC   + 20.0 XC XC
+--R             2          3          2   3     2            2           1  2
+--R   + 
+--R             4      2
+--R     10.0 XC   + XC
+--R            1      1
+--R                                                      Type: Expression(Float)
+--E 50
+
+--S 51 of 153
+funct1:Asp24(FUNCT1):=retract ef
+--R 
+--R
+--R   (11)  FUNCT1
+--R                                                          Type: Asp24(FUNCT1)
+--E 51
+
+--S 52 of 153
+-- result:=e04jaf(n,ibound,liw,lw,bl,bu,x,-1,funct1)
+--E 52
+
+)clear all
+ 
+
+--S 53 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 53
+
+--S 54 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 54
+
+--S 55 of 153
+itmax:=20
+--R 
+--R
+--R   (3)  20
+--R                                                        Type: PositiveInteger
+--E 55
+
+--S 56 of 153
+msglvl:=1
+--R 
+--R
+--R   (4)  1
+--R                                                        Type: PositiveInteger
+--E 56
+
+--S 57 of 153
+n:=7
+--R 
+--R
+--R   (5)  7
+--R                                                        Type: PositiveInteger
+--E 57
+
+--S 58 of 153
+nclin:=7
+--R 
+--R
+--R   (6)  7
+--R                                                        Type: PositiveInteger
+--E 58
+
+--S 59 of 153
+nctotl:=14
+--R 
+--R
+--R   (7)  14
+--R                                                        Type: PositiveInteger
+--E 59
+
+--S 60 of 153
+nrowa:=7
+--R 
+--R
+--R   (8)  7
+--R                                                        Type: PositiveInteger
+--E 60
+
+--S 61 of 153
+a:Matrix SF:=
+ [[1 ,1 ,1 ,1 ,1 ,1 ,1 ],_
+  [0.15 ,0.04 ,0.02 ,0.04 ,0.02 ,0.01 ,0.03 ],_
+  [0.03 ,0.05 ,0.08 ,0.02 ,0.06 ,0.01 ,0 ],_
+  [0.02 ,0.04 ,0.01 ,0.02 ,0.02 ,0 ,0 ],_
+  [0.02 ,0.03 ,0 ,0 ,0.01 ,0 ,0 ],_
+  [0.7 ,0.75 ,0.8 ,0.75 ,0.8 ,0.97 ,0 ],_
+  [0.02 ,0.06 ,0.08 ,0.12 ,0.02 ,0.01 ,0.97 ]]
+--R 
+--R
+--R   (9)
+--R   [[1.,1.,1.,1.,1.,1.,1.],
+--R
+--R     [0.14999999999999999, 3.9999999999999994E-2, 1.9999999999999997E-2,
+--R      3.9999999999999994E-2, 1.9999999999999997E-2, 9.9999999999999985E-3,
+--R      2.9999999999999999E-2]
+--R     ,
+--R
+--R     [2.9999999999999999E-2, 5.0000000000000003E-2, 7.9999999999999988E-2,
+--R      1.9999999999999997E-2, 5.9999999999999998E-2, 9.9999999999999985E-3, 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 3.9999999999999994E-2, 9.9999999999999985E-3,
+--R      1.9999999999999997E-2, 1.9999999999999997E-2, 0., 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 2.9999999999999999E-2, 0., 0.,
+--R      9.9999999999999985E-3, 0., 0.]
+--R     ,
+--R
+--R     [0.69999999999999996, 0.75, 0.80000000000000004, 0.75,
+--R      0.80000000000000004, 0.96999999999999997, 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 5.9999999999999998E-2, 7.9999999999999988E-2,
+--R      0.12, 1.9999999999999997E-2, 9.9999999999999985E-3, 0.96999999999999997]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 61
+
+--S 62 of 153
+bl:Matrix SF:=
+ [[-0.01 ,-0.1 ,-0.01 ,-0.04 ,-0.1 ,-0.01 ,-0.01 ,_
+   -0.13 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,_
+   -0.0992 ,-0.003 ]]
+--R 
+--R
+--R   (10)
+--R   [
+--R     [- 9.9999999999999985E-3, - 9.9999999999999992E-2,
+--R      - 9.9999999999999985E-3, - 3.9999999999999994E-2,
+--R      - 9.9999999999999992E-2, - 9.9999999999999985E-3,
+--R      - 9.9999999999999985E-3, - 0.12999999999999998, - 1.0E+21, - 1.0E+21,
+--R      - 1.0E+21, - 1.0E+21, - 9.920000000000001E-2, - 2.9999999999999996E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 62
+
+--S 63 of 153
+bu:Matrix SF:=
+ [[0.01 ,0.15 ,0.03 ,0.02 ,0.05 ,1.0e+21 ,1.0e+21 ,_
+  -0.13 ,-0.0049 ,-0.0064 ,-0.0037 ,-0.0012 ,1.0e+21 ,0.002 ]]
+--R 
+--R
+--R   (11)
+--R   [
+--R     [9.9999999999999985E-3, 0.14999999999999999, 2.9999999999999999E-2,
+--R      1.9999999999999997E-2, 5.0000000000000003E-2, 1.0E+21, 1.0E+21,
+--R      - 0.12999999999999998, - 4.8999999999999998E-3, - 6.3999999999999994E-3,
+--R      - 3.6999999999999997E-3, - 1.2000000000000001E-3, 1.0E+21, 2.0E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 63
+
+--S 64 of 153
+cvec:Matrix SF:= [[-0.02 ,-0.2 ,-0.2 ,-0.2 ,-0.2 ,0.04 ,0.04 ]]
+--R 
+--R
+--R   (12)
+--R   [
+--R     [- 1.9999999999999997E-2, - 0.19999999999999998, - 0.19999999999999998,
+--R      - 0.19999999999999998, - 0.19999999999999998, 3.9999999999999994E-2,
+--R      3.9999999999999994E-2]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 64
+
+--S 65 of 153
+linobj:=true
+--R 
+--R
+--R   (13)  true
+--R                                                                Type: Boolean
+--E 65
+
+--S 66 of 153
+liwork:=14
+--R 
+--R
+--R   (14)  14
+--R                                                        Type: PositiveInteger
+--E 66
+
+--S 67 of 153
+lwork:=182
+--R 
+--R
+--R   (15)  182
+--R                                                        Type: PositiveInteger
+--E 67
+
+--S 68 of 153
+x:Matrix SF:= [[-0.01 ,-0.03 ,0.0 ,-0.01 ,-0.1 ,0.02 ,0.01 ]]
+--R 
+--R
+--R   (16)
+--R   [
+--R     [- 9.9999999999999985E-3, - 2.9999999999999999E-2, 0.,
+--R      - 9.9999999999999985E-3, - 9.9999999999999992E-2, 1.9999999999999997E-2,
+--R      9.9999999999999985E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 68
+
+--S 69 of 153
+-- result:=e04mbf(itmax,msglvl,n,nclin,nctotl,nrowa,a,bl,bu,_
+--                cvec,linobj,liwork,lwork,x,-1)
+--E 69
+
+)clear all
+ 
+
+--S 70 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 70
+
+--S 71 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 71
+
+--S 72 of 153
+itmax:=20
+--R 
+--R
+--R   (3)  20
+--R                                                        Type: PositiveInteger
+--E 72
+
+--S 73 of 153
+msglvl:=-1
+--R 
+--R
+--R   (4)  - 1
+--R                                                                Type: Integer
+--E 73
+
+--S 74 of 153
+n:=7
+--R 
+--R
+--R   (5)  7
+--R                                                        Type: PositiveInteger
+--E 74
+
+--S 75 of 153
+nclin:=7
+--R 
+--R
+--R   (6)  7
+--R                                                        Type: PositiveInteger
+--E 75
+
+--S 76 of 153
+nctotl:=14
+--R 
+--R
+--R   (7)  14
+--R                                                        Type: PositiveInteger
+--E 76
+
+--S 77 of 153
+nrowa:=7
+--R 
+--R
+--R   (8)  7
+--R                                                        Type: PositiveInteger
+--E 77
+
+--S 78 of 153
+nrowh:=7
+--R 
+--R
+--R   (9)  7
+--R                                                        Type: PositiveInteger
+--E 78
+
+--S 79 of 153
+ncolh:=7
+--R 
+--R
+--R   (10)  7
+--R                                                        Type: PositiveInteger
+--E 79
+
+--S 80 of 153
+bigbnd:=1.0e10
+--R 
+--R
+--R   (11)  100 00000000.0
+--R                                                                  Type: Float
+--E 80
+
+--S 81 of 153
+a:Matrix SF:=
+ [[1 ,1 ,1 ,1 ,1 ,1 ,1 ],_
+  [0.15 ,0.04 ,0.02 ,0.04 ,0.02 ,0.01 ,0.03 ],_
+  [0.03 ,0.05 ,0.08 ,0.02 ,0.06 ,0.01 ,0 ],_
+  [0.02 ,0.04 ,0.01 ,0.02 ,0.02 ,0 ,0 ],_
+  [0.02 ,0.03 ,0 ,0 ,0.01 ,0 ,0 ],_
+  [0.7 ,0.75 ,0.8 ,0.75 ,0.8 ,0.97 ,0 ],_
+  [0.02 ,0.06 ,0.08 ,0.12 ,0.02 ,0.01 ,0.97 ]]
+--R 
+--R
+--R   (12)
+--R   [[1.,1.,1.,1.,1.,1.,1.],
+--R
+--R     [0.14999999999999999, 3.9999999999999994E-2, 1.9999999999999997E-2,
+--R      3.9999999999999994E-2, 1.9999999999999997E-2, 9.9999999999999985E-3,
+--R      2.9999999999999999E-2]
+--R     ,
+--R
+--R     [2.9999999999999999E-2, 5.0000000000000003E-2, 7.9999999999999988E-2,
+--R      1.9999999999999997E-2, 5.9999999999999998E-2, 9.9999999999999985E-3, 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 3.9999999999999994E-2, 9.9999999999999985E-3,
+--R      1.9999999999999997E-2, 1.9999999999999997E-2, 0., 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 2.9999999999999999E-2, 0., 0.,
+--R      9.9999999999999985E-3, 0., 0.]
+--R     ,
+--R
+--R     [0.69999999999999996, 0.75, 0.80000000000000004, 0.75,
+--R      0.80000000000000004, 0.96999999999999997, 0.]
+--R     ,
+--R
+--R     [1.9999999999999997E-2, 5.9999999999999998E-2, 7.9999999999999988E-2,
+--R      0.12, 1.9999999999999997E-2, 9.9999999999999985E-3, 0.96999999999999997]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 81
+
+--S 82 of 153
+bl:Matrix SF:=
+ [[-0.01 ,-0.1 ,-0.01 ,-0.04 ,-0.1 ,-0.01 ,-0.01 ,-0.13 ,_
+   -1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-0.0992 ,-0.003 ]]
+--R 
+--R
+--R   (13)
+--R   [
+--R     [- 9.9999999999999985E-3, - 9.9999999999999992E-2,
+--R      - 9.9999999999999985E-3, - 3.9999999999999994E-2,
+--R      - 9.9999999999999992E-2, - 9.9999999999999985E-3,
+--R      - 9.9999999999999985E-3, - 0.12999999999999998, - 1.0E+21, - 1.0E+21,
+--R      - 1.0E+21, - 1.0E+21, - 9.920000000000001E-2, - 2.9999999999999996E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 82
+
+--S 83 of 153
+bu:Matrix SF:=
+ [[0.01 ,0.15 ,0.03 ,0.02 ,0.05 ,1.0e+21 ,1.0e+21 ,-0.13 ,_
+  -0.0049 ,-0.0064 ,-0.0037 ,-0.0012 ,1.0e+21 ,0.002 ]]
+--R 
+--R
+--R   (14)
+--R   [
+--R     [9.9999999999999985E-3, 0.14999999999999999, 2.9999999999999999E-2,
+--R      1.9999999999999997E-2, 5.0000000000000003E-2, 1.0E+21, 1.0E+21,
+--R      - 0.12999999999999998, - 4.8999999999999998E-3, - 6.3999999999999994E-3,
+--R      - 3.6999999999999997E-3, - 1.2000000000000001E-3, 1.0E+21, 2.0E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 83
+
+--S 84 of 153
+cvec:Matrix SF:= [[-0.02 ,-0.2 ,-0.2 ,-0.2 ,-0.2 ,0.04 ,0.04 ]]
+--R 
+--R
+--R   (15)
+--R   [
+--R     [- 1.9999999999999997E-2, - 0.19999999999999998, - 0.19999999999999998,
+--R      - 0.19999999999999998, - 0.19999999999999998, 3.9999999999999994E-2,
+--R      3.9999999999999994E-2]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 84
+
+--S 85 of 153
+featol:Matrix SF:=
+ [[0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,_
+   0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,_
+   0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ]]
+--R 
+--R
+--R   (16)
+--R   [
+--R     [1.0529999999999999E-8, 1.0529999999999999E-8, 1.0529999999999999E-8,
+--R      1.0529999999999999E-8, 1.0529999999999999E-8, 1.0529999999999999E-8,
+--R      1.0529999999999999E-8, 1.0529999999999999E-8, 1.0529999999999999E-8,
+--R      1.0529999999999999E-8, 1.0529999999999999E-8, 1.0529999999999999E-8,
+--R      1.0529999999999999E-8, 1.0529999999999999E-8]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 85
+
+--S 86 of 153
+hess:Matrix SF :=
+ [[2 ,0 ,0 ,0 ,0 ,0 ,0 ],_
+  [0 ,2 ,0 ,0 ,0 ,0 ,0 ],_
+  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
+  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
+  [0 ,0 ,0 ,0 ,2 ,0 ,0 ],_
+  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ],_
+  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ]]
+--R 
+--R
+--R         +2.  0.  0.  0.  0.   0.    0. +
+--R         |                              |
+--R         |0.  2.  0.  0.  0.   0.    0. |
+--R         |                              |
+--R         |0.  0.  2.  2.  0.   0.    0. |
+--R         |                              |
+--R   (17)  |0.  0.  2.  2.  0.   0.    0. |
+--R         |                              |
+--R         |0.  0.  0.  0.  2.   0.    0. |
+--R         |                              |
+--R         |0.  0.  0.  0.  0.  - 2.  - 2.|
+--R         |                              |
+--R         +0.  0.  0.  0.  0.  - 2.  - 2.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 86
+
+--S 87 of 153
+cold:=true
+--R 
+--R
+--R   (18)  true
+--R                                                                Type: Boolean
+--E 87
+
+--S 88 of 153
+lpp:=false
+--R 
+--R
+--R   (19)  false
+--R                                                                Type: Boolean
+--E 88
+
+--S 89 of 153
+orthog:=true
+--R 
+--R
+--R   (20)  true
+--R                                                                Type: Boolean
+--E 89
+
+--S 90 of 153
+liwork:=14
+--R 
+--R
+--R   (21)  14
+--R                                                        Type: PositiveInteger
+--E 90
+
+--S 91 of 153
+lwork:=238
+--R 
+--R
+--R   (22)  238
+--R                                                        Type: PositiveInteger
+--E 91
+
+--S 92 of 153
+x:Matrix SF:= [[-0.01 ,-0.03 ,0.0 ,-0.01 ,-0.1 ,0.02 ,0.01 ]]
+--R 
+--R
+--R   (23)
+--R   [
+--R     [- 9.9999999999999985E-3, - 2.9999999999999999E-2, 0.,
+--R      - 9.9999999999999985E-3, - 9.9999999999999992E-2, 1.9999999999999997E-2,
+--R      9.9999999999999985E-3]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 92
+
+--S 93 of 153
+istate:Matrix Integer:= [[0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ]]
+--R 
+--R
+--R   (24)  [0  0  0  0  0  0  0  0  0  0  0  0  0  0]
+--R                                                        Type: Matrix(Integer)
+--E 93
+
+--S 94 of 153
+mei:Matrix Expression Integer:=
+ [[2 ,0 ,0 ,0 ,0 ,0 ,0 ],_
+  [0 ,2 ,0 ,0 ,0 ,0 ,0 ],_
+  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
+  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
+  [0 ,0 ,0 ,0 ,2 ,0 ,0 ],_
+  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ],_
+  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ]]
+--R 
+--R
+--R         +2  0  0  0  0   0    0 +
+--R         |                       |
+--R         |0  2  0  0  0   0    0 |
+--R         |                       |
+--R         |0  0  2  2  0   0    0 |
+--R         |                       |
+--R   (25)  |0  0  2  2  0   0    0 |
+--R         |                       |
+--R         |0  0  0  0  2   0    0 |
+--R         |                       |
+--R         |0  0  0  0  0  - 2  - 2|
+--R         |                       |
+--R         +0  0  0  0  0  - 2  - 2+
+--R                                            Type: Matrix(Expression(Integer))
+--E 94
+
+--S 95 of 153
+qphess:Asp20(QPHESS):= retract mei
+--R 
+--R
+--R   (26)  QPHESS
+--R                                                          Type: Asp20(QPHESS)
+--E 95
+
+--S 96 of 153
+-- result:=e04naf(itmax,msglvl,n,nclin,nctotl,nrowa,nrowh,ncolh,_
+--               bigbnd,a,bl,bu,cvec,featol,_
+--               hess,cold,lpp,orthog,liwork,lwork,x,istate,-1,qphess)
+--E 96
+
+)clear all
+ 
+
+--S 97 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 97
+
+--S 98 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 98
+
+--S 99 of 153
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 99
+
+--S 100 of 153
+nclin:=4
+--R 
+--R
+--R   (4)  4
+--R                                                        Type: PositiveInteger
+--E 100
+
+--S 101 of 153
+ncnln:=14
+--R 
+--R
+--R   (5)  14
+--R                                                        Type: PositiveInteger
+--E 101
+
+--S 102 of 153
+nrowa:=4
+--R 
+--R
+--R   (6)  4
+--R                                                        Type: PositiveInteger
+--E 102
+
+--S 103 of 153
+nrowj:=14
+--R 
+--R
+--R   (7)  14
+--R                                                        Type: PositiveInteger
+--E 103
+
+--S 104 of 153
+nrowr:=9
+--R 
+--R
+--R   (8)  9
+--R                                                        Type: PositiveInteger
+--E 104
+
+--S 105 of 153
+a:Matrix SF:=
+ [[-1.0 ,1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
+  [0.0 ,-1.0 ,1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
+  [0.0 ,0.0 ,1.0 ,-1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
+  [0.0 ,0.0 ,0.0 ,1.0 ,-1.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R        +- 1.   1.   0.   0.    0.   0.  0.  0.  0.+
+--R        |                                          |
+--R        | 0.   - 1.  1.   0.    0.   0.  0.  0.  0.|
+--R   (9)  |                                          |
+--R        | 0.    0.   1.  - 1.   0.   0.  0.  0.  0.|
+--R        |                                          |
+--R        + 0.    0.   0.   1.   - 1.  0.  0.  0.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 105
+
+--S 106 of 153
+bl:Matrix SF:=
+ [[0.0 ,-1.0e15 ,-1.0 ,-1.0e15 ,0.0 ,0.0 ,0.0 ,-1.0e15 ,_
+  -1.0e15 ,0.0 ,0.0 ,0.0 ,0.0 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,_
+  -1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,_
+  -1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ]]
+--R 
+--R
+--R   (10)
+--R   [
+--R     [0., - 1.0E+15, - 1., - 1.0E+15, 0., 0., 0., - 1.0E+15, - 1.0E+15, 0., 0.,
+--R      0., 0., - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15,
+--R      - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15, - 1.0E+15,
+--R      - 1.0E+15, - 1.0E+15]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 106
+
+--S 107 of 153
+bu:Matrix SF:=
+ [[1.0e15 ,1.0e15 ,1.0 ,1.0e15 ,1.0e15 ,1.0e15 ,1.0e15 ,_
+  0.0 ,0.0 ,1.0e15 ,1.0e15 ,1.0e15 ,1.0e15 ,0.0 ,0.0 ,_
+  0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R   (11)
+--R   [
+--R     [1.0E+15, 1.0E+15, 1., 1.0E+15, 1.0E+15, 1.0E+15, 1.0E+15, 0., 0.,
+--R      1.0E+15, 1.0E+15, 1.0E+15, 1.0E+15, 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 107
+
+--S 108 of 153
+liwork:=59
+--R 
+--R
+--R   (12)  59
+--R                                                        Type: PositiveInteger
+--E 108
+
+--S 109 of 153
+lwork:=968
+--R 
+--R
+--R   (13)  968
+--R                                                        Type: PositiveInteger
+--E 109
+
+--S 110 of 153
+sta:=false
+--R 
+--R
+--R   (14)  false
+--R                                                                Type: Boolean
+--E 110
+
+--S 111 of 153
+cra:= 0.01
+--R 
+--R
+--R   (15)  0.01
+--R                                                                  Type: Float
+--E 111
+
+--S 112 of 153
+der:=3
+--R 
+--R
+--R   (16)  3
+--R                                                        Type: PositiveInteger
+--E 112
+
+--S 113 of 153
+fea:=0.1053671201E-7
+--R 
+--R
+--R   (17)  0.1053671201 E -7
+--R                                                                  Type: Float
+--E 113
+
+--S 114 of 153
+fun:=0.4373903510E-14
+--R 
+--R
+--R   (18)  0.437390351 E -14
+--R                                                                  Type: Float
+--E 114
+
+--S 115 of 153
+hes:= true
+--R 
+--R
+--R   (19)  true
+--R                                                                Type: Boolean
+--E 115
+
+--S 116 of 153
+infb:= 1.00E+15
+--R 
+--R
+--R   (20)  10000000 00000000.0
+--R                                                                  Type: Float
+--E 116
+
+--S 117 of 153
+infs:= 1.00E+15
+--R 
+--R
+--R   (21)  10000000 00000000.0
+--R                                                                  Type: Float
+--E 117
+
+--S 118 of 153
+linf:= 0.1053671201E-7
+--R 
+--R
+--R   (22)  0.1053671201 E -7
+--R                                                                  Type: Float
+--E 118
+
+--S 119 of 153
+lint:= 0.9
+--R 
+--R
+--R   (23)  0.9
+--R                                                                  Type: Float
+--E 119
+
+--S 120 of 153
+list:= true
+--R 
+--R
+--R   (24)  true
+--R                                                                Type: Boolean
+--E 120
+
+--S 121 of 153
+maji:= 30
+--R 
+--R
+--R   (25)  30
+--R                                                        Type: PositiveInteger
+--E 121
+
+--S 122 of 153
+majp:= 1
+--R 
+--R
+--R   (26)  1
+--R                                                        Type: PositiveInteger
+--E 122
+
+--S 123 of 153
+mini:= 81
+--R 
+--R
+--R   (27)  81
+--R                                                        Type: PositiveInteger
+--E 123
+
+--S 124 of 153
+minp:= 0
+--R 
+--R
+--R   (28)  0
+--R                                                     Type: NonNegativeInteger
+--E 124
+
+--S 125 of 153
+mon:= -1
+--R 
+--R
+--R   (29)  - 1
+--R                                                                Type: Integer
+--E 125
+
+--S 126 of 153
+nonf:= 1.05E-08
+--R 
+--R
+--R   (30)  0.105 E -7
+--R                                                                  Type: Float
+--E 126
+
+--S 127 of 153
+opt:= 3.26E-08
+--R 
+--R
+--R   (31)  0.326 E -7
+--R                                                                  Type: Float
+--E 127
+
+--S 128 of 153
+ste:= 2.0
+--R 
+--R
+--R   (32)  2.0
+--R                                                                  Type: Float
+--E 128
+
+--S 129 of 153
+stao:= 1
+--R 
+--R
+--R   (33)  1
+--R                                                        Type: PositiveInteger
+--E 129
+
+--S 130 of 153
+stac:= 1
+--R 
+--R
+--R   (34)  1
+--R                                                        Type: PositiveInteger
+--E 130
+
+--S 131 of 153
+stoo:= 9
+--R 
+--R
+--R   (35)  9
+--R                                                        Type: PositiveInteger
+--E 131
+
+--S 132 of 153
+stoc:= 9
+--R 
+--R
+--R   (36)  9
+--R                                                        Type: PositiveInteger
+--E 132
+
+--S 133 of 153
+ve:= 3
+--R 
+--R
+--R   (37)  3
+--R                                                        Type: PositiveInteger
+--E 133
+
+--S 134 of 153
+istate:Matrix Integer:=new(1,27,0)
+--R 
+--R
+--R   (38)
+--R   [[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]]
+--R                                                        Type: Matrix(Integer)
+--E 134
+
+--S 135 of 153
+cjac:Matrix SF:=new(14,9,0.0)
+--R 
+--R
+--R         +0.  0.  0.  0.  0.  0.  0.  0.  0.+
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R   (39)  |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         +0.  0.  0.  0.  0.  0.  0.  0.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 135
+
+--S 136 of 153
+clamda:Matrix SF:=new(1,27,0.0)
+--R 
+--R
+--R   (40)
+--R   [
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 136
+
+--S 137 of 153
+r:Matrix SF:=new(9,9,0.0)
+--R 
+--R
+--R         +0.  0.  0.  0.  0.  0.  0.  0.  0.+
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R   (41)  |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         |0.  0.  0.  0.  0.  0.  0.  0.  0.|
+--R         |                                  |
+--R         +0.  0.  0.  0.  0.  0.  0.  0.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 137
+
+--S 138 of 153
+x:Matrix SF:=
+ [[0.1 ,0.125 ,0.666666 ,0.142857 ,0.111111 ,0.2 ,0.25 ,-0.2 ,-0.25 ]]
+--R 
+--R
+--R   (42)
+--R   [
+--R     [0.10000000000000001, 0.125, 0.66666599999999998, 0.14285700000000001,
+--R      0.11111099999999999, 0.20000000000000001, 0.25, - 0.19999999999999998,
+--R      - 0.25]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 138
+
+--S 139 of 153
+vef:Vector Expression Float:=vector
+ [X[1]^2 + X[6]^2 ,_
+ (X[2] - X[1])^2 + (X[7] - X[6])^2 ,_
+ (X[3] - X[1])^2 + X[6]*2 ,_
+ (X[1] - X[4])^2 + (X[6] - X[8])^2 ,_
+ (X[1] - X[5])^2 + (X[6] - X[9])^2 ,_
+ X[2]^2 + X[7]^2 ,_
+ (X[3] - X[2])^2 + X[7]^2 ,_
+ (X[4] - X[2])^2 + (X[8] - X[7])^2 ,_
+ (X[2] - X[5])^2 + (X[7] - X[9])^2 ,_
+ (X[4] - X[3])^2 + X[8]^2 ,_
+ (X[5] - X[3])^2 + X[9]^2 ,_
+ X[4]^2 + X[8]^2 ,_
+ (X[4] - X[5])^2 + (X[9] - X[8])^2 ,_
+ X[5]^2 + X[9]^2 ]
+--R 
+--R
+--R   (43)
+--R      2     2    2                2     2                2
+--R   [X   + X  , X   - 2.0 X X  + X   + X   - 2.0 X X  + X  ,
+--R     6     1    7         6 7    6     2         1 2    1
+--R               2                2    2                2     2                2
+--R    2.0 X  + X   - 2.0 X X  + X  , X   - 2.0 X X  + X   + X   - 2.0 X X  + X  ,
+--R         6    3         1 3    1    8         6 8    6     4         1 4    1
+--R      2                2     2                2    2     2
+--R    X   - 2.0 X X  + X   + X   - 2.0 X X  + X  , X   + X  ,
+--R     9         6 9    6     5         1 5    1    7     2
+--R      2     2                2    2                2     2                2
+--R    X   + X   - 2.0 X X  + X  , X   - 2.0 X X  + X   + X   - 2.0 X X  + X  ,
+--R     7     3         2 3    2    8         7 8    7     4         2 4    2
+--R      2                2     2                2    2     2                2
+--R    X   - 2.0 X X  + X   + X   - 2.0 X X  + X  , X   + X   - 2.0 X X  + X  ,
+--R     9         7 9    7     5         2 5    2    8     4         3 4    3
+--R      2     2                2    2     2
+--R    X   + X   - 2.0 X X  + X  , X   + X  ,
+--R     9     5         3 5    3    8     4
+--R      2                2     2                2    2     2
+--R    X   - 2.0 X X  + X   + X   - 2.0 X X  + X  , X   + X  ]
+--R     9         8 9    8     5         4 5    4    9     5
+--R                                              Type: Vector(Expression(Float))
+--E 139
+
+--S 140 of 153
+confun:Asp55(CONFUN):= retract vef
+--R 
+--R
+--R   (44)  CONFUN
+--R                                                          Type: Asp55(CONFUN)
+--E 140
+
+--S 141 of 153
+ef:Expression Float:=(-X[2]*X[6] + X[1]*X[7] - X[3]*X[7] - _
+                      X[5]*X[8] + X[4]*X[9] + X[3]*X[8])::EXPR FLOAT
+--R 
+--R
+--R   (45)  X X  + (- 1.0 X  + X )X  + (- 1.0 X  + X )X  - 1.0 X X
+--R          4 9           5    3  8           3    1  7        2 6
+--R                                                      Type: Expression(Float)
+--E 141
+
+--S 142 of 153
+objfun:Asp49(OBJFUN):=retract ef
+--R 
+--R
+--R   (46)  OBJFUN
+--R                                                          Type: Asp49(OBJFUN)
+--E 142
+
+--S 143 of 153
+-- result:=e04ucf(n,nclin,ncnln,nrowa,nrowj,nrowr,a,bl,bu,liwork,lwork,_
+-- sta,cra,der,fea,fun,hes,infb,infs,linf,lint,list,maji,majp,_
+-- mini,minp,mon,nonf,opt,ste,stao,stac,stoo,stoc,ve,istate,_
+-- cjac,clamda,r,x,-1,confun,objfun)
+--E 143
+
+)clear all
+ 
+
+--S 144 of 153
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 144
+
+--S 145 of 153
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 145
+
+--S 146 of 153
+job:=0
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: NonNegativeInteger
+--E 146
+
+--S 147 of 153
+m:=15
+--R 
+--R
+--R   (4)  15
+--R                                                        Type: PositiveInteger
+--E 147
+
+--S 148 of 153
+n:=3
+--R 
+--R
+--R   (5)  3
+--R                                                        Type: PositiveInteger
+--E 148
+
+--S 149 of 153
+fsumsq:=0.0082148773065789729
+--R 
+--R
+--R   (6)  0.0082148773 065789729
+--R                                                                  Type: Float
+--E 149
+
+--S 150 of 153
+s:Matrix SF:= [[4.0965034571419325 ,1.5949579400198182 ,0.061258491120317927 ]]
+--R 
+--R
+--R   (7)  [4.0965034571419316  1.5949579400198182  6.1258491120317921E-2]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 150
+
+--S 151 of 153
+lv:=3
+--R 
+--R
+--R   (8)  3
+--R                                                        Type: PositiveInteger
+--E 151
+
+--S 152 of 153
+v:Matrix SF:=
+ [[0.9353959087369782,- 0.25922842715810668, - 0.24048932714625143,_
+   0.35295122094583287, 0.64323460044494585, 0.67946647041872243,_
+   - 0.021445968175122822, - 0.72045115819433947, 0.69317400348358882]]
+--R 
+--R
+--R   (9)
+--R   [
+--R     [0.9353959087369782, - 0.25922842715810668, - 0.2404893271462514,
+--R      0.35295122094583287, 0.64323460044494585, 0.67946647041872232,
+--R      - 2.1445968175122822E-2, - 0.72045115819433958, 0.69317400348358882]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 152
+
+--S 153 of 153
+-- result:=e04ycf(job,m,n,fsumsq,s,lv,v,-1)
+--E 153
+
+)spool
+ 
 )lisp (bye)
 \end{chunk}
 
diff --git a/changelog b/changelog
index 70cc308..c02dc0d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20141202 tpd src/axiom-website/patches.html 20141202.06.tpd.patch
+20141202 tpd src/input/Makefile remove NAGE04 src/input files from build
+20141202 tpd books/bookvol10.4 NAGE04 absorb src/input test case files
+20141202 tpd src/axiom-website/patches.html 20141202.05.tpd.patch
+20141202 tpd src/input/Makefile remove NAGE02 src/input files from build
+20141202 tpd books/bookvol10.4 NAGE02 absorb src/input test case files
 20141202 tpd src/axiom-website/patches.html 20141202.04.tpd.patch
 20141202 tpd src/input/Makefile remove NAGE01 src/input files from build
 20141202 tpd src/axiom-website/patches.html 20141202.03.tpd.patch
diff --git a/patch b/patch
index 9e24f40..5660b1b 100644
--- a/patch
+++ b/patch
@@ -1 +1,3 @@
-src/input/Makefile remove NAGE01 src/input files from build process
+books/bookvol10.4 NAGE04 absorb src/input test case files
+
+integrate the files into the packages book
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 5ee4859..6babac1 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -206,13 +206,7 @@ SKIP= as-eg1.output as-eg2.output    \
       draw2dsf.output  drawalg.output   drawcfn.output   drawcfun.output  \
       drawcurv.output  drawcx.output    drawex.output    draw.output      \
       drawpoly.output  drawx.output     dropt.output     \
-      e02adf.output    e02aef.output    e02agf.output    \
-      e02ahf.output    e02ajf.output    e02akf.output    e02baf.output    \
-      e02bbf.output    e02bcf.output    e02bdf.output    e02bef.output    \
-      e02daf.output    e02dcf.output    e02ddf.output    e02def.output    \
-      e02dff.output    e02gaf.output    e02zaf.output    e04dgf.output    \
-      e04fdf.output    e04gcf.output    e04jaf.output    e04mbf.output    \
-      e04naf.output    e04ucf.output    e04ycf.output    egg.output       \
+      egg.output       \
       explot2d.output  explot3d.output  \
       f01brf.output    f01bsf.output    f01maf.output    \
       f01mcf.output    f01qcf.output    f01qdf.output    f01qef.output    \
@@ -656,9 +650,6 @@ NAGLIB=${OUT}/c02aff.input   ${OUT}/c02agf.input     ${OUT}/c05adf.input \
        ${OUT}/d02ejf.input   ${OUT}/d02gaf.input     ${OUT}/d02gbf.input \
        ${OUT}/d02kef.input   ${OUT}/d02raf.input     ${OUT}/d03edf.input \
        ${OUT}/d03eef.input   ${OUT}/d03faf.input     \
-       ${OUT}/e04dgf.input     ${OUT}/e04fdf.input \
-       ${OUT}/e04gcf.input   ${OUT}/e04jaf.input     ${OUT}/e04mbf.input \
-       ${OUT}/e04naf.input   ${OUT}/e04ucf.input     ${OUT}/e04ycf.input \
        ${OUT}/f01brf.input   ${OUT}/f01bsf.input     ${OUT}/f01maf.input \
        ${OUT}/f01mcf.input   ${OUT}/f01qcf.input     ${OUT}/f01qdf.input \
        ${OUT}/f01qef.input   ${OUT}/f01rcf.input     ${OUT}/f01rdf.input \
@@ -1097,12 +1088,7 @@ DOCFILES= \
   ${DOC}/drawcurv.input.dvi    ${DOC}/drawcx.input.dvi     \
   ${DOC}/drawex.input.dvi      ${DOC}/draw.input.dvi       \
   ${DOC}/drawpoly.input.dvi    ${DOC}/drawx.input.dvi      \
-  ${DOC}/dropt.input.dvi       \
-  ${DOC}/e04dgf.input.dvi     \
-  ${DOC}/e04fdf.input.dvi      ${DOC}/e04gcf.input.dvi     \
-  ${DOC}/e04jaf.input.dvi      ${DOC}/e04mbf.input.dvi     \
-  ${DOC}/e04naf.input.dvi      ${DOC}/e04ucf.input.dvi     \
-  ${DOC}/e04ycf.input.dvi      ${DOC}/e1.input.dvi         \
+  ${DOC}/dropt.input.dvi       ${DOC}/e1.input.dvi         \
   ${DOC}/ei.input.dvi          ${DOC}/easter.input.dvi     \
   ${DOC}/ecfact.as.dvi         ${DOC}/efi.input.dvi        \
   ${DOC}/egg.input.dvi         ${DOC}/eigen.input.dvi      \
diff --git a/src/input/e04dgf.input.pamphlet b/src/input/e04dgf.input.pamphlet
deleted file mode 100644
index aa109f3..0000000
--- a/src/input/e04dgf.input.pamphlet
+++ /dev/null
@@ -1,46 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04dgf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=2
-es:=1.0
-fu:=0.4373903597E-14
-it:=50
-lin:=0.9
-list:=true
-ma:=1.0E+20
-op:=3.26E-12
-pr:=10
-sta:=1
-sto:=2
-ve:=0
-x:Matrix SF:=
- [[-1.0 ,1.0 ]]
-ef:Expression Float:=_
-  (exp(X[1])*(4*X[1]^2+2*X[2]^2+4*X[1]*X[2]+2*X[2]+1))::EXPR FLOAT
-objfun:ASP49(OBJFUN):= retract ef
-result:=e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,-1,objfun)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04fdf.input.pamphlet b/src/input/e04fdf.input.pamphlet
deleted file mode 100644
index 2baa82f..0000000
--- a/src/input/e04fdf.input.pamphlet
+++ /dev/null
@@ -1,52 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04fdf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=15
-n:=3
-liw:=1
-lw:=171
-x:Matrix SF:=
- [[0.5 ,1.0 ,1.5 ]]
-vef:Vector Expression Float:= vector
- [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
-  2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
-  3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
-  4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
-  5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
-  6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
-  7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
-  8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
-  9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
-  10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
-  11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
-  12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
-  13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
-  14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
-  15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
-lsfun1:ASP50(LSFUN1):= retract vef
-result:=e04fdf(m,n,liw,lw,x,-1,lsfun1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04gcf.input.pamphlet b/src/input/e04gcf.input.pamphlet
deleted file mode 100644
index 18565d9..0000000
--- a/src/input/e04gcf.input.pamphlet
+++ /dev/null
@@ -1,52 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04gcf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=15
-n:=3
-liw:=1
-lw:=177
-x:Matrix SF:=
- [[0.5 ,1.0 ,1.5 ]]
-vef:Vector Expression Float:=vector
- [(XC[3]+15*XC[2])^(-1)+XC[1]-0.14 ,_
-   2*(2*XC[3]+14*XC[2])^(-1)+XC[1]-0.18 ,_
-   3*(3*XC[3]+13*XC[2])^(-1)+XC[1]-0.22 ,_
-   4*(4*XC[3]+12*XC[2])^(-1)+XC[1]-0.25 ,_
-   5*(5*XC[3]+11*XC[2])^(-1)+XC[1]-0.29 ,_
-   6*(6*XC[3]+10*XC[2])^(-1)+XC[1]-0.32 ,_
-   7*(7*XC[3]+9*XC[2])^(-1)+XC[1]-0.35 ,_
-   8*(8*XC[3]+8*XC[2])^(-1)+XC[1]-0.39 ,_
-   9*(7*XC[3]+7*XC[2])^(-1)+XC[1]-0.37 ,_
-   10*(6*XC[3]+6*XC[2])^(-1)+XC[1]-0.58 ,_
-   11*(5*XC[3]+5*XC[2])^(-1)+XC[1]-0.73 ,_
-   12*(4*XC[3]+4*XC[2])^(-1)+XC[1]-0.96 ,_
-   13*(3*XC[3]+3*XC[2])^(-1)+XC[1]-1.34 ,_
-   14*(2*XC[3]+2*XC[2])^(-1)+XC[1]-2.1 ,_
-   15*(XC[3]+XC[2])^(-1)+XC[1]-4.39 ]
-lsfun2:Asp19(LSFUN2):= retract vef
-result:=e04gcf(m,n,liw,lw,x,-1,lsfun2)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04jaf.input.pamphlet b/src/input/e04jaf.input.pamphlet
deleted file mode 100644
index 2479974..0000000
--- a/src/input/e04jaf.input.pamphlet
+++ /dev/null
@@ -1,43 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04jaf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=4
-ibound:=0
-liw:=6
-lw:=54
-bl:Matrix SF:=
- [[1 ,-2 ,-1.0e-6 ,1 ]]
-bu:Matrix SF:=
- [[3 ,0 ,1.0e6 ,3 ]]
-x:Matrix SF:=
- [[3 ,-1 ,0 ,1 ]]
-ef:Expression Float:=
- ((XC[1]+10*XC[2])^2+5*(XC[3]-XC[4])^2+(XC[2]-2*XC[3])^4+_
-   10*(XC[1]-XC[4])^4)::EXPR FLOAT
-funct1:Asp24(FUNCT1):=retract ef
-result:=e04jaf(n,ibound,liw,lw,bl,bu,x,-1,funct1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04mbf.input.pamphlet b/src/input/e04mbf.input.pamphlet
deleted file mode 100644
index 87690ee..0000000
--- a/src/input/e04mbf.input.pamphlet
+++ /dev/null
@@ -1,58 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04mbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-itmax:=20
-msglvl:=1
-n:=7
-nclin:=7
-nctotl:=14
-nrowa:=7
-a:Matrix SF:=
- [[1 ,1 ,1 ,1 ,1 ,1 ,1 ],_
-  [0.15 ,0.04 ,0.02 ,0.04 ,0.02 ,0.01 ,0.03 ],_
-  [0.03 ,0.05 ,0.08 ,0.02 ,0.06 ,0.01 ,0 ],_
-  [0.02 ,0.04 ,0.01 ,0.02 ,0.02 ,0 ,0 ],_
-  [0.02 ,0.03 ,0 ,0 ,0.01 ,0 ,0 ],_
-  [0.7 ,0.75 ,0.8 ,0.75 ,0.8 ,0.97 ,0 ],_
-  [0.02 ,0.06 ,0.08 ,0.12 ,0.02 ,0.01 ,0.97 ]]
-bl:Matrix SF:=
- [[-0.01 ,-0.1 ,-0.01 ,-0.04 ,-0.1 ,-0.01 ,-0.01 ,_
-   -0.13 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,_
-   -0.0992 ,-0.003 ]]
-bu:Matrix SF:=
- [[0.01 ,0.15 ,0.03 ,0.02 ,0.05 ,1.0e+21 ,1.0e+21 ,_
-  -0.13 ,-0.0049 ,-0.0064 ,-0.0037 ,-0.0012 ,1.0e+21 ,0.002 ]]
-cvec:Matrix SF:=
- [[-0.02 ,-0.2 ,-0.2 ,-0.2 ,-0.2 ,0.04 ,0.04 ]]
-linobj:=true
-liwork:=14
-lwork:=182
-x:Matrix SF:=
- [[-0.01 ,-0.03 ,0.0 ,-0.01 ,-0.1 ,0.02 ,0.01 ]]
-result:=e04mbf(itmax,msglvl,n,nclin,nctotl,nrowa,a,bl,bu,_
-               cvec,linobj,liwork,lwork,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04naf.input.pamphlet b/src/input/e04naf.input.pamphlet
deleted file mode 100644
index 0f80da7..0000000
--- a/src/input/e04naf.input.pamphlet
+++ /dev/null
@@ -1,86 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04naf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-itmax:=20
-msglvl:=-1
-n:=7
-nclin:=7
-nctotl:=14
-nrowa:=7
-nrowh:=7
-ncolh:=7
-bigbnd:=1.0e10
-a:Matrix SF:=
- [[1 ,1 ,1 ,1 ,1 ,1 ,1 ],_
-  [0.15 ,0.04 ,0.02 ,0.04 ,0.02 ,0.01 ,0.03 ],_
-  [0.03 ,0.05 ,0.08 ,0.02 ,0.06 ,0.01 ,0 ],_
-  [0.02 ,0.04 ,0.01 ,0.02 ,0.02 ,0 ,0 ],_
-  [0.02 ,0.03 ,0 ,0 ,0.01 ,0 ,0 ],_
-  [0.7 ,0.75 ,0.8 ,0.75 ,0.8 ,0.97 ,0 ],_
-  [0.02 ,0.06 ,0.08 ,0.12 ,0.02 ,0.01 ,0.97 ]]
-bl:Matrix SF:=
- [[-0.01 ,-0.1 ,-0.01 ,-0.04 ,-0.1 ,-0.01 ,-0.01 ,-0.13 ,_
-   -1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-1.0e+21 ,-0.0992 ,-0.003 ]]
-bu:Matrix SF:=
- [[0.01 ,0.15 ,0.03 ,0.02 ,0.05 ,1.0e+21 ,1.0e+21 ,-0.13 ,_
-  -0.0049 ,-0.0064 ,-0.0037 ,-0.0012 ,1.0e+21 ,0.002 ]]
-cvec:Matrix SF:=
- [[-0.02 ,-0.2 ,-0.2 ,-0.2 ,-0.2 ,0.04 ,0.04 ]]
-featol:Matrix SF:=
- [[0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,_
-   0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,_
-   0.1053e-7 ,0.1053e-7 ,0.1053e-7 ,0.1053e-7 ]]
-hess:Matrix SF :=
- [[2 ,0 ,0 ,0 ,0 ,0 ,0 ],_
-  [0 ,2 ,0 ,0 ,0 ,0 ,0 ],_
-  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
-  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
-  [0 ,0 ,0 ,0 ,2 ,0 ,0 ],_
-  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ],_
-  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ]]
-cold:=true
-lpp:=false
-orthog:=true
-liwork:=14
-lwork:=238
-x:Matrix SF:=
- [[-0.01 ,-0.03 ,0.0 ,-0.01 ,-0.1 ,0.02 ,0.01 ]]
-istate:Matrix Integer:=
- [[0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ]]
-mei:Matrix Expression Integer:=
- [[2 ,0 ,0 ,0 ,0 ,0 ,0 ],_
-  [0 ,2 ,0 ,0 ,0 ,0 ,0 ],_
-  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
-  [0 ,0 ,2 ,2 ,0 ,0 ,0 ],_
-  [0 ,0 ,0 ,0 ,2 ,0 ,0 ],_
-  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ],_
-  [0 ,0 ,0 ,0 ,0 ,-2 ,-2 ]]
-qphess:Asp20(QPHESS):= retract mei
-result:=e04naf(itmax,msglvl,n,nclin,nctotl,nrowa,nrowh,ncolh,_
-               bigbnd,a,bl,bu,cvec,featol,_
-hess,cold,lpp,orthog,liwork,lwork,x,istate,-1,qphess)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04ucf.input.pamphlet b/src/input/e04ucf.input.pamphlet
deleted file mode 100644
index efdaf6a..0000000
--- a/src/input/e04ucf.input.pamphlet
+++ /dev/null
@@ -1,103 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04ucf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-nclin:=4
-ncnln:=14
-nrowa:=4
-nrowj:=14
-nrowr:=9
-a:Matrix SF:=
- [[-1.0 ,1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
-  [0.0 ,-1.0 ,1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
-  [0.0 ,0.0 ,1.0 ,-1.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ],_
-  [0.0 ,0.0 ,0.0 ,1.0 ,-1.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
-bl:Matrix SF:=
- [[0.0 ,-1.0e15 ,-1.0 ,-1.0e15 ,0.0 ,0.0 ,0.0 ,-1.0e15 ,_
-  -1.0e15 ,0.0 ,0.0 ,0.0 ,0.0 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,_
-  -1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,_
-  -1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ,-1.0e15 ]]
-bu:Matrix SF:=
- [[1.0e15 ,1.0e15 ,1.0 ,1.0e15 ,1.0e15 ,1.0e15 ,1.0e15 ,_
-  0.0 ,0.0 ,1.0e15 ,1.0e15 ,1.0e15 ,1.0e15 ,0.0 ,0.0 ,_
-  0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
-liwork:=59
-lwork:=968
-sta:=false
-cra:= 0.01
-der:=3
-fea:=0.1053671201E-7
-fun:=0.4373903510E-14
-hes:= true
-infb:= 1.00E+15
-infs:= 1.00E+15
-linf:= 0.1053671201E-7
-lint:= 0.9
-list:= true
-maji:= 30
-majp:= 1
-mini:= 81
-minp:= 0
-mon:= -1
-nonf:= 1.05E-08
-opt:= 3.26E-08
-ste:= 2.0
-stao:= 1
-stac:= 1
-stoo:= 9
-stoc:= 9
-ve:= 3
-istate:Matrix Integer:=new(1,27,0)
-cjac:Matrix SF:=new(14,9,0.0)
-clamda:Matrix SF:=new(1,27,0.0)
-r:Matrix SF:=new(9,9,0.0)
-x:Matrix SF:=
- [[0.1 ,0.125 ,0.666666 ,0.142857 ,0.111111 ,0.2 ,0.25 ,-0.2 ,-0.25 ]]
-vef:Vector Expression Float:=vector
- [X[1]^2 + X[6]^2 ,_
- (X[2] - X[1])^2 + (X[7] - X[6])^2 ,_
- (X[3] - X[1])^2 + X[6]*2 ,_
- (X[1] - X[4])^2 + (X[6] - X[8])^2 ,_
- (X[1] - X[5])^2 + (X[6] - X[9])^2 ,_
- X[2]^2 + X[7]^2 ,_
- (X[3] - X[2])^2 + X[7]^2 ,_
- (X[4] - X[2])^2 + (X[8] - X[7])^2 ,_
- (X[2] - X[5])^2 + (X[7] - X[9])^2 ,_
- (X[4] - X[3])^2 + X[8]^2 ,_
- (X[5] - X[3])^2 + X[9]^2 ,_
- X[4]^2 + X[8]^2 ,_
- (X[4] - X[5])^2 + (X[9] - X[8])^2 ,_
- X[5]^2 + X[9]^2 ]
-confun:Asp55(CONFUN):= retract vef
-ef:Expression Float:=(-X[2]*X[6] + X[1]*X[7] - X[3]*X[7] - _
-                      X[5]*X[8] + X[4]*X[9] + X[3]*X[8])::EXPR FLOAT
-objfun:Asp49(OBJFUN):=retract ef
-result:=e04ucf(n,nclin,ncnln,nrowa,nrowj,nrowr,a,bl,bu,liwork,lwork,_
-sta,cra,der,fea,fun,hes,infb,infs,linf,lint,list,maji,majp,_
-mini,minp,mon,nonf,opt,ste,stao,stac,stoo,stoc,ve,istate,_
-cjac,clamda,r,x,-1,confun,objfun)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/e04ycf.input.pamphlet b/src/input/e04ycf.input.pamphlet
deleted file mode 100644
index e86d1ad..0000000
--- a/src/input/e04ycf.input.pamphlet
+++ /dev/null
@@ -1,40 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input e04ycf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-job:=0
-m:=15
-n:=3
-fsumsq:=0.0082148773065789729
-s:Matrix SF:=
- [[4.0965034571419325 ,1.5949579400198182 ,0.061258491120317927 ]]
-lv:=3
-v:Matrix SF:=
- [[0.9353959087369782,- 0.25922842715810668, - 0.24048932714625143,_
-   0.35295122094583287, 0.64323460044494585, 0.67946647041872243,_
-   - 0.021445968175122822, - 0.72045115819433947, 0.69317400348358882]]
-result:=e04ycf(job,m,n,fsumsq,s,lv,v,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
